swift-object-replicator(1)

NAME

swift-object-replicator - Openstack-swift object replicator

SYNOPSIS

swift-object-replicator [CONFIG] [-h|--help] [-v|--verbose] [-o|--once]

DESCRIPTION

Replication is designed to keep the system in a consistent state in the face of temporary error conditions like network outages or drive failures. The replication processes compare local data with each remote copy to ensure they all contain the latest version. Object replication uses a hash list to quickly compare subsections of each partition.

Replication updates are push based. For object replication, updating is just a matter of rsyncing files to the peer. The replicator also ensures that data is removed from the system. When an object item is deleted a tombstone is set as the latest version of the item. The replicator will see the tombstone and ensure that the item is removed from the entire system. The options are as follows:
    -v
    --verbose
        log to console
    -o
    --once
        only run one pass of daemon

DOCUMENTATION

More in depth documentation in regards to swift-object-replicator and also about Openstack-Swift as a whole can be found at http://swift.openstack.org/index.html

SEE ALSO
object-server.conf(5)